QwtDialSimpleNeedle(3)

NAME
QwtDialSimpleNeedle -

A needle for dial widgets.

SYNOPSIS

#include <qwt_dial_needle.h>

Inherits QwtDialNeedle.

  Public Types
enum Style { Arrow, Ray }

  Public Member Functions
virtual void draw (QPainter *, const QPoint &, int length, double direction, QPalette::ColorGroup=QPalette::Active) const
const QPalette & palette () const
QwtDialSimpleNeedle (Style, bool hasKnob=true, const QColor &mid=Qt::gray, const QColor &base=Qt::darkGray)
virtual void setPalette (const QPalette &)
void setWidth (int width)
int width () const

  Static Public Member Functions
static void drawArrowNeedle (QPainter *, const QPalette &, QPalette::ColorGroup, const QPoint &, int length, int width, double direction, bool hasKnob)
static void drawRayNeedle (QPainter *, const QPalette &, QPalette::ColorGroup, const QPoint &, int length, int width, double direction, bool hasKnob)

  Static Protected Member Functions
static void drawKnob (QPainter *, const QPoint &pos, int width, const QBrush &, bool sunken)

Detailed Description

A needle for dial widgets. The following colors are used:

•   QColorGroup::Mid
     Pointer

•   QColorGroup::base
     Knob

See also:
    QwtDial, QwtCompass

Member Enumeration Documentation

  enum QwtDialSimpleNeedle::Style

Style of the needle.

Constructor & Destructor Documentation

  QwtDialSimpleNeedle::QwtDialSimpleNeedle (Stylestyle, boolhasKnob = true, const QColor &mid = Qt::gray, const QColor &base = Qt::darkGray) Constructor

Parameters:
    style Style
    hasKnob With/Without knob
    mid Middle color
    base Base color

Member Function Documentation

  void QwtDialSimpleNeedle::draw (QPainter *painter, const QPoint &center, intlength, doubledirection, QPalette::ColorGroupcolorGroup = QPalette::Active) const [virtual] Draw the needle

Parameters:
    painter Painter
    center Center of the dial, start position for the needle
    length Length of the needle
    direction Direction of the needle, in degrees counter clockwise
    colorGroup Color group, used for painting

Implements QwtDialNeedle.

  void QwtDialSimpleNeedle::drawArrowNeedle (QPainter *painter, const QPalette &palette, QPalette::ColorGroupcolorGroup, const QPoint &center, intlength, intwidth, doubledirection, boolhasKnob) [static] Draw a needle looking like an arrow

Parameters:
    painter Painter
    palette Palette
    colorGroup Color group
    center center of the needle
    length Length of the needle
    width Width of the needle
    direction Current Direction
    hasKnob With/Without knob

  void QwtDialNeedle::drawKnob (QPainter *painter, const QPoint &pos, intwidth, const QBrush &brush, boolsunken) [static, protected, inherited]

Draw the knob.

  void QwtDialSimpleNeedle::drawRayNeedle (QPainter *painter, const QPalette &palette, QPalette::ColorGroupcolorGroup, const QPoint &center, intlength, intwidth, doubledirection, boolhasKnob) [static] Draw a needle looking like a ray

Parameters:
    painter Painter
    palette Palette
    colorGroup Color group
    center center of the needle
    length Length of the needle
    width Width of the needle
    direction Current Direction
    hasKnob With/Without knob

  const QPalette & QwtDialNeedle::palette () const [inherited] Returns:
    the palette of the needle.

  void QwtDialNeedle::setPalette (const QPalette &palette) [virtual, inherited] Sets the palette for the needle.

Parameters:
    palette New Palette

  void QwtDialSimpleNeedle::setWidth (intwidth) Set the width of the needle

Parameters:
    width Width

See also:
    width()

  int QwtDialSimpleNeedle::width () const Returns:
    the width of the needle

See also:
    setWidth()

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.